Name:          hatbox
Version:       1.0.b9
Release:       1%{?dist}
Summary:       A user-space spatial addon for Derby and H2 databases
License:       LGPLv2+
URL:           http://hatbox.sourceforge.net/
# svn export http://svn.code.sf.net/p/hatbox/code/hatbox/trunk hatbox-1.0.b9
# tar cJf hatbox-1.0.b9.tar.xz hatbox-1.0.b9
Source0:       %{name}-%{version}.tar.xz
# https://sourceforge.net/p/hatbox/bugs/3/
Source1:       http://www.gnu.org/licenses/lgpl-2.1.txt
# Build fix for Java7+
Patch0:        %{name}-1.0.b9-jdbc4.patch
# Add default buildIndexProc for Apache Derby
Patch1:        %{name}-1.0.b9-add-default-buildIndexProc-Derby.patch

BuildRequires: maven-local
BuildRequires: mvn(com.h2database:h2)
BuildRequires: mvn(com.vividsolutions:jts)
BuildRequires: mvn(junit:junit)

BuildArch:     noarch

%description
HatBox employs user visible tables, procedures, functions and
triggers to implement spatial functionality on top of standard
Derby/JavaDB and H2. The upside is that when you use HatBox
you are not tied to a special version of Derby or H2,
you can upgrade Derby and H2 independently of HatBox. The
down side is that feature geometry must be created and
manipulated outside the database and the tables, procedures,
functions and triggers that make up HatBox may be corrupted by
inadvertent user action.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0

%pom_remove_plugin :maven-source-plugin

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE *.notes.txt

%mvn_file net.sourceforge.%{name}:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc *.notes.txt
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Apr 29 2015 gil cattaneo <puntogil@libero.it> 1.0.b9-1
- initial rpm
